Page MenuHomePhabricator

Grant tboverride-account instead of tboverride to account creators
Closed, ResolvedPublic

Description

Now that we have template editors on wikipedia, it is no longer of any use to have tboverride for account creators, and they should be granted tboverride-account instead to avoid unnecessary risks.

Event Timeline

Cenarium created this task.Nov 26 2014, 6:03 PM
Cenarium raised the priority of this task from to Normal.
Cenarium updated the task description. (Show Details)
Cenarium changed Security from none to None.
Cenarium added a subscriber: Cenarium.

Where is the community discussion for this? If there has been no discussion, please start one.

revi added a subscriber: revi.Nov 27 2014, 5:05 PM
revi added a comment.Nov 29 2014, 6:15 AM

Community discussion at VP (Proposal). Community-consensus-needed is already in the bug anyway.

While there is not an official consensus yet, there are currently 12 supports and 0 opposes at the English Wikipedia Village Pump.

While there is not an official consensus yet, there are currently 12 supports and 0 opposes at the English Wikipedia Village Pump.

We can process this request (and the 'phase 2' one), as soon it has been closed on the wiki.

Change 182197 had a related patch set uploaded (by Jackmcbarn):
Change tboverride to tboverride-account for enwiki accountcreators

https://gerrit.wikimedia.org/r/182197

Patch-For-Review

There are 15 supporters and 0 people opposing this. It's not "officially" closed, but official closes aren't required. I think you can proceed under the assumption that community consensus has been established at this point in time.

(Consensus may change. This has happened in at least one other month-long, heavily-advertised RFC that gained unanimous support. However, there's nothing about an official close that can prevent that scenario.)

Uh, it's closed.

You're right; the discussion was formally closed by a non-admin less than an hour ago, in between when I typed the message and finally clicked 'Submit'. It's a known hazard of leaving tabs open for a while.

Assigned to patch author.

Change 182197 merged by jenkins-bot:
Change tboverride to tboverride-account for enwiki accountcreators

https://gerrit.wikimedia.org/r/182197

Jackmcbarn closed this task as Resolved.Jan 6 2015, 8:22 PM